function [x, listex] = GradientConj(A, b, x0, tol, maxiter)

%   GradientConj(x0, tol)
%   Minimise 1/2 <x, Ax> + <b, x> avec la méthode du gradient conjugué
%
%   Arguements :
%   x0      : point initial
%   tol     : tolérance
%   maxiter : le nombre maximal d'itérations à effectuer
%
%   Sortie :
%   x       : le point minimum trouvé
%   listex  : la liste des itérés

%   Si on appelle une fonction f de la manière suivante : [r1, r2, ..., rn] = f(...),
%   alors nargout (variable déclarée par MATLAB) vaut n.
%   On ne construira la liste des itérés listex que si elle est demandée explicitement,
%   à l'aide de la variable nargout, dans cet esprit :

if nargout > 1 % On initialise listex que si elle est attendue en sortie.
    listex = [];
end


end
