function [image, masque] = LireImage(nom_fichier)

%   LireImage(nom_fichier)
%
%   Charge l'image contenu dans le fichier nom_fichier, représentée par
%   une matrice de nombres flottants après conversion en noir et blanc.
%   Retourne l'image et le masque, qui correspond aux pixels nuls.

    image_uint8 = imread(nom_fichier);
    if numel(size(image_uint8)) > 2
        image_uint8 = image_uint8(:,:,1)/3 + image_uint8(:,:,2)/3 + image_uint8(:,:,3)/3;
    end
    image = cast(image_uint8, 'single');

    masque = image > 0;

end
